# berry_sethi.hh File Reference

Contains the declaration for the Berry-Sethi algorithm. More...

Include dependency graph for berry_sethi.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename A , typename T , typename Exp >
void | berry_sethi (Element< A, T > &, const Exp &)
| Build an automaton from an expression using the Berry-Sethi construction.

## Detailed Description

Contains the declaration for the Berry-Sethi algorithm.

See also:
  berry_sethi()

Definition in file berry_sethi.hh.